#include <iostream>
//#include <algorithm>
//#include <cmath>
//#include <string>
using namespace std;

int main(){
    int n,k,e,i,br,s,broj_el=0;
    cin >> n >> k;
    e = 2*n+1; int m[e];
    //POSTAVLJA DA SE SVAKI ELEMENAT M = 0
    for(i=0;i<=e;i++){
        m[i]=0;
    }
    //UCITAVA I POSTAVLJA N BROJEVA U MATRICU
    for(i=0;i<n;i++){
        cin >> br;
        m[br+n]++;
    }
    //PRAVI NOVU MATRICU SA N ELEMENATA
    int mat[n];
    for(i=0;i<n;i++){
        mat[i]=e;
    }
    //PROVERAVA DAL JE ELEM VECI OD K
    s=0;
    for(i=0;i<=e;i++){
        if(m[i]>=k){
            broj_el++;
            mat[s] = i-n;
            s++;
        }
    }
    cout << broj_el << endl;
    for(i=0;i<n;i++){
        if(mat[i]==e){
            break;
        } else {
            cout << mat[i] << " ";
        }
    }

    return 0;
}